@import '../../scss/utils/vars';
@import '../../scss/utils/font-template';

.userPage {
  display: flex;
  justify-content: center;

  &__content {
    max-width: 1170px;
    width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: 40px;
    padding: 40px 10px;
  }

  &__title {
    @extend %sub-section-title;
    font-size: 2rem;
    text-align: center;
    margin: 0;

    @media screen and (max-width: 330px) {
      font-size: 1.9rem;
    }
  }

  &__subTitle {
    @extend %sub-section-title;
    margin: 0;
    text-align: center;

    &_type_description {
      font-weight: normal;
      padding: 80px 0;
      font-size: 1.8rem;
    }
  }

  &__dataWrapper {
    display: flex;
    column-gap: 40px;
    justify-content: center;

    @media screen and (max-width: $widthTablet) {
      flex-direction: column;
      align-items: center;
      row-gap: 40px;
    }
  }

  &__personalData {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    row-gap: 20px;
  }

  &__logoutButton {
    display: flex;
    align-self: center;
    height: 44px;
    width: 150px;
  }

  &__roomsWrapper {
    display: flex;
    flex-direction: column;
    row-gap: 40px;
  }

  &__rooms {
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(auto-fill, 270px);
    grid-template-rows: repeat(auto-fill, minmax(257px, 1fr));
    grid-gap: 20px 20px;
  }
}